Bug 1664307 - ocaml-cil: FTBFS in Fedora rawhide
Summary: ocaml-cil: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ocaml-cil
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL: http://apps.fedoraproject.org/koschei...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-08 12:04 UTC by Jitka Plesnikova
Modified: 2019-01-19 02:25 UTC (History)
2 users (show)

Fixed In Version: ocaml-cil-1.7.3-45.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-19 02:25:45 UTC
Type: Bug


Attachments (Terms of Use)

Description Jitka Plesnikova 2019-01-08 12:04:10 UTC
Description of problem:
Package ocaml-cil fails to build from source in Fedora rawhide and Fedora 29.
The build.log contains following errors:

BUILDSTDERR: In file included from /usr/include/features.h:452,
BUILDSTDERR:                  from /usr/include/bits/libc-header-start.h:33,
BUILDSTDERR:                  from /usr/include/stdio.h:27,
BUILDSTDERR:                  from src/machdep-ml.c:40:
BUILDSTDERR: /usr/include/gnu/stubs.h:7:11: fatal error: gnu/stubs-32.h: No such file or directory
BUILDSTDERR:  # include <gnu/stubs-32.h>
BUILDSTDERR:            ^~~~~~~~~~~~~~~~
BUILDSTDERR: compilation terminated.

...

BUILDSTDERR: cp: cannot stat 'doc/html/cil/*.gif': No such file or directory
BUILDSTDERR: error: Bad exit status from /var/tmp/rpm-tmp.03LA4I (%install)

Version-Release number of selected component (if applicable):
1.7.3-44.fc29

Steps to Reproduce:
koji build --scratch f30 ocaml-cil-1.7.3-44.fc29.src.rpm

Additional info:
This package is tracked by Koschei. See:
http://apps.fedoraproject.org/koschei/package/ocaml-cil

Changed dependencies from latest successful build can be found:
https://apps.fedoraproject.org/koschei/build/5403440

Comment 1 Richard W.M. Jones 2019-01-08 12:25:32 UTC
This built reasonably recently, so what changed?
https://koji.fedoraproject.org/koji/buildinfo?buildID=1116657

Comment 2 Jitka Plesnikova 2019-01-08 12:59:26 UTC
I don't know exactly what made the change, but doc/html/cil/ contains 

contents_motif.svg
next_motif.svg
previous_motif.svg

instead of 

contents_motif.gif 
next_motif.gif 
previous_motif.gif

Comment 3 Jitka Plesnikova 2019-01-08 13:12:42 UTC
Updating hevea to version 2.32 is probably source of the change.

hevea - version 2.32
* Introduce SVG arrows, contribution by Florian Angeletti

https://github.com/maranget/hevea/pull/2

Comment 4 Richard W.M. Jones 2019-01-08 13:45:32 UTC
OK thanks.  I've added that commit and doing a build now.  I didn't encounter the
glibc problem.

Comment 5 Fedora Update System 2019-01-08 14:00:09 UTC
ocaml-cil-1.7.3-45.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2ca6625b88

Comment 6 Fedora Update System 2019-01-10 22:14:50 UTC
ocaml-cil-1.7.3-45.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2ca6625b88

Comment 7 Fedora Update System 2019-01-19 02:25:45 UTC
ocaml-cil-1.7.3-45.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.